.nolist
include \masm32\include\masm32rt.inc
.686
include \masm32\macros\timers.asm
	LOOP_COUNT	= 10000

EXTERNDEF _imp__GetTickCount@0:PTR pr0
EXTERNDEF _imp__PostMessageA@16:PTR pr4
EXTERNDEF _imp__GetDesktopWindow@0:PTR pr0

.code
start:
	counter_begin LOOP_COUNT, HIGH_PRIORITY_CLASS
		REPEAT 1000
		   invoke GetTickCount
		ENDM
	counter_end
	print str$(eax), 9, "cycles for 1000*GetTickCount, indirect", 13, 10

	counter_begin LOOP_COUNT, HIGH_PRIORITY_CLASS
		REPEAT 1000
		  invoke _imp__GetTickCount@0
		ENDM
	counter_end
	print str$(eax), 9, "cycles for 1000*GetTickCount, direct", 13, 10

	counter_begin LOOP_COUNT, HIGH_PRIORITY_CLASS
		invoke GetDesktopWindow
		invoke PostMessage, eax, 0, 0, 0
	counter_end
	print str$(eax), 9, "cycles for PostMessage, indirect", 13, 10

	counter_begin LOOP_COUNT, HIGH_PRIORITY_CLASS
		invoke _imp__GetDesktopWindow@0
		invoke _imp__PostMessageA@16, eax, 0, 0, 0
	counter_end
	print str$(eax), 9, "cycles for PostMessage, direct", 13, 10

	inkey chr$(13, 10, "--- ok ---", 13)
	exit
end start

RichMasm options:

OPT_Tmp2Asm	1
OPT_Wait	0
